% 2 ) ELIMINAR RADIOAYUDAS CON LAS MISMAS COORDENADAS
clear all; close all; clc

% Leemos la BDD completa que queremos filtrar:
[Database] = Reading_Database('3_12_13_Lat_Sorted_WO_R_ID.dat', 1, 5996);

% Almacenamos en array los diferentes datos de las radioayudas:
[NAtype, NAlat, NAlon, NAalt,  NAfreq, NArange, NAid] = Get_NavAid_Data(Database);

% Numero total de radioayudas
Total = size(NAlat);

% Array donde se va a almacenar la posicion de las radioayudas con coordenadas repetidas
posicion_coor_repetidas = [];

% Bucles de inspección:
for i = 1: Total                               
    for j = (i+1) : Total                                % Cada i-esima se compara con todas las j-esimas superiores
        if NAlat(i) == NAlat(j) && NAlon(i) == NAlon(j)
            % Registramos la posicion superior j de la radioyuda con coordenadas repetidas
            posicion_coor_repetidas = [posicion_coor_repetidas; j];
        end
    end
end

% Eliminacion radioayudas con id repetido:
Database(posicion_coor_repetidas) = [];

% Escritura a fichero de texto
CellArray2TextFile('3_12_13_Lat_Sorted_WO_R_ID_COOR.dat', Database);